# fpm
Field panel method for solving transonic flows using the full potential equation

![](/dox/img.png)

## Features
Set of python/C++ modules solving the linear potential equation and correcting it with source terms computed using third-party nonlinear solvers.

- [x] [gmsh](http://geuz.org/gmsh) support for meshing and post-processing
- [x] [eigen3](http://eigen.tuxfamily.org/) support for linear algebra

## Build
fpm is linked against [waves](https://gitlab.uliege.be/am-dept/waves). Once all the required packages and waves are installed:

```bash
git clone git@gitlab.uliege.be:am-dept/fpm.git # get the code
mkdir build && cd build
cmake -DCMAKE_PREFIX_PATH=/path/to/waves .. # configure and reference waves package
make # compile
ctest # test
```

## References
