/*
 * Copyright 2020 University of Liège
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// fpm global header

#ifndef FPM_H
#define FPM_H

#if defined(WIN32)
#ifdef fpm_EXPORTS
#define FPM_API __declspec(dllexport)
#else
#define FPM_API __declspec(dllimport)
#endif
#else
#define FPM_API
#endif

#include "tbox.h"

namespace fpm
{

// utilities
class Timer;
class Timers;

// problem definition
class Problem;
class Field;
class Body;
class Wake;

// solver
class Builder;
class Solver;

// misc
class Edge;
class EquEdge;

} // namespace fpm

#endif //FPM_H
